Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156078 - system-logviewer should be aware of SELinux audit logs
Summary: system-logviewer should be aware of SELinux audit logs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-logviewer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 12:38 UTC by James Laska
Modified: 2013-09-02 06:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-23 17:15:29 UTC


Attachments (Terms of Use)

Description James Laska 2005-04-27 12:38:14 UTC
# system-logviewer-0.9.14-1

The following patch against system-logviewer-0.9.14-1 adds support for viewing
SELinux audit/audit.log files.  I'm not entirely sure about how we would want to
label the relevant text sections, so I've cc'd dwalsh.

--- /usr/share/system-logviewer/LogViewerGui.py 2005-04-27 08:28:45.000000000 -0400
+++ /tmp/LogViewerGui.py    2005-04-27 08:28:43.000000000 -0400
@@ -90,6 +90,7 @@
 stringDict["FTPLOG"] = [_("FTP Log"),_("This log file contains messages from
the FTP Server.")]
 stringDict["XFREE86LOG"] = [_("XFree86 Log"),_("This log file contains messages
from the XFree86 server.")]
 stringDict["XORGLOG"] = [_("X.Org X11 Log"),_("This log file contains messages
from the X.Org X11 server.")]
+stringDict["AUDITLOG"] = [_("SELinux Audit Log"),_("This log file contains
audit messages from SELinux.")]

 ##---------------------------------------------------------------

--- /etc/sysconfig/system-logviewer 2005-04-27 08:29:51.000000000 -0400
+++ /tmp/system-logviewer   2005-04-27 08:24:31.000000000 -0400
@@ -23,6 +23,7 @@
 FTPLOG=/var/log/vsftpd.log
 XFREE86LOG=/var/log/XFree86.0.log
 XORGLOG=/var/log/Xorg.0.log
+AUDITLOG=/var/log/audit/audit.log

 # How often to refresh messages, in seconds
 # If set below 30 seconds, it defaults to 30 seconds

Comment 1 Daniel Walsh 2005-04-27 14:17:31 UTC
One correction this is not the SELinux audit log.  It is the auditd log with or
without SELinux.

+stringDict["AUDITLOG"] = [_("Audit Log"),_("This log file contains
audit messages from the kernel collected by the audit daemon.")]

steve grubb is in charge.

Comment 4 Chris Lumens 2005-09-23 17:15:29 UTC
Removing from FC5 blocker and closing as WONTFIX based on s-logviewer being
moved out of Core.


Note You need to log in before you can comment on or make changes to this bug.